It looks like typo in PolygonGeometryUpdater.js

1. A concise explanation of the problem you're experiencing.

PolygonGeometryUpdater.js
line 346 and then

DyanmicPolygonGeometryUpdater;

4. The Cesium version you're using, your operating system and browser.

Cesium 1.55

Looks like you’re right. Feel free to fix that yourself if you’d like to open a PR and be an official contributor!

Contributing guide: https://github.com/AnalyticalGraphicsInc/cesium/blob/master/CONTRIBUTING.md

Thank you for your advice.
I will read the guide carefully.